
QGIS Application - Bug report #19024

Plugin installation not working

2018-05-25 09:40 AM - Vita Karoblyte

Status: Closed

Priority: High

Assignee: Borys Jurgiel

Category: Plugin Manager

Affected QGIS version:3.0.3 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 26855

Description

I was using the profile tool and crayfish plugins for months and suddenly they stopped working. I updated my version of QGIS and tried

installing the plugins again but there seem to be new errors each time. For the profile tool, it says the classFactory is missing. And I

cannot get anywhere at all with crayfish. Any and all advise is highly appreciated!

History

#1 - 2018-05-25 10:10 AM - Cesar Herrera

Vita Karoblyte wrote:

I was using the profile tool and crayfish plugins for months and suddenly they stopped working. I updated my version of QGIS and tried installing the

plugins again but there seem to be new errors each time. For the profile tool, it says the classFactory is missing. And I cannot get anywhere at all

with crayfish. Any and all advise is highly appreciated!

It also happened to me after the last update in Qgis 3 and Qgis 2.18.20

#2 - 2018-05-25 06:54 PM - Borys Jurgiel

Does it affect just the two plugins, or any other as well?

#3 - 2018-05-28 09:51 AM - Cesar Herrera

Borys Jurgiel wrote:

Does it affect just the two plugins, or any other as well?

It's affecting me after update the two plugins not after updating qgis

#4 - 2018-06-03 04:14 PM - Borys Jurgiel

- Resolution set to invalid

- Status changed from Open to Closed

Oh, now I got it. Then it's not any QGIS bug, so please use the plugins' issue trackers instead:
https://github.com/PANOimagen/profiletool/issues

https://github.com/lutraconsulting/qgis-crayfish-plugin/issues

If there is any longer traceback resulting in the missing classFactory, please attach it in whole when reporting the problems.
